SHA256
1
0
forked from pool/scummvm

- fix license issues (bnc#761623)

OBS-URL: https://build.opensuse.org/package/show/games/scummvm?expand=0&rev=25
This commit is contained in:
Cristian Morales Vega 2012-05-16 12:39:03 +00:00 committed by Git OBS Bridge
parent 5bc3a6f98c
commit e1819744c9
4 changed files with 63 additions and 13 deletions

View File

@ -0,0 +1,33 @@
# The following source parts of stk may not be distributed for legal
# reasons (bnc#761623)
# Thus we have to cripple the source tree in a way that it still builds.
# Find source tarball + unpack
tmp="$(mktemp)"
trap 'rm -f $tmp; echo 1>&2 "$0 failed"' EXIT
tarsource="$(echo scummvm-*[0-9].tar.bz2)"
if [ ! -s "$tarsource" ] ; then
echo "Error: cannot find source tarball"
exit 1
fi
tarbase="${tarsource%.tar.bz2}"
tardest="$tarbase-crippled.tar.bz2"
rm -rf scummvm-*-crippled.tar.bz2
# Cripple source
echo 1>&2 "Crippling..."
files=$(tar -tf ${tarsource} | fgrep /devtools/create_project/xcode.cpp)
bzip2 -cd ${tarsource} > ${tmp}
tar --delete --file=${tmp} ${files}
bzip2 -c ${tmp} > ${tardest}
echo 1>&2 ""
echo 1>&2 "Successfully crippled tarball. :-("
echo 1>&2 ""
rm -rf $tmp
trap - EXIT
exit 0

View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:3481162688891261d935b80c9b75919d7550c94322b2f6ddda99b907db6aa7bc
size 15680281

View File

@ -1,3 +1,8 @@
-------------------------------------------------------------------
Wed May 16 13:35:26 UTC 2012 - reddwarf@opensuse.org
- fix license issues (bnc#761623)
-------------------------------------------------------------------
Fri Mar 30 13:56:31 UTC 2012 - reddwarf@opensuse.org

View File

@ -25,17 +25,20 @@ Release: 0
Summary: Interpreter for several adventure games
License: GPLv2+, LGPLv2.1+, BSD
Group: Amusements/Games/Other
Url: http://www.scummvm.org
Source0: http://downloads.sourceforge.net/project/scummvm/scummvm/%{version}/scummvm-%{version}.tar.bz2
Patch0: %{name}-nostrip.patch
Url: http://www.scummvm.org/
# Waiting for sf#3527268 to be fixed
#Source0: http://downloads.sourceforge.net/project/scummvm/scummvm/%{version}/scummvm-%{version}.tar.bz2
Source0: scummvm-%{version}-crippled.tar.bz2
Source1: precheckin_cripple_tarball.sh
Patch0: scummvm-nostrip.patch
# It's an ugly workaround but makes the sword25 engine plugin link against
# png/theora, and since we use --as-needed there are no real problems. Once the
# engine passes to the main binary the problem will dissapear.
# It could also be good to make it use the system's Lua.
Patch1: %{name}-underlinking.patch
Patch1: scummvm-underlinking.patch
BuildRequires: desktop-file-utils
BuildRequires: gcc-c++
BuildRequires: hicolor-icon-theme
BuildRequires: update-desktop-files
BuildRequires: pkgconfig(alsa) >= 0.9
BuildRequires: pkgconfig(flac) >= 1.0.1
BuildRequires: pkgconfig(fluidsynth)
@ -107,20 +110,26 @@ make %{?_smp_mflags}
%install
# docdir is here because since 1.2.0 configure is broken
%makeinstall docdir=%{_docdir}/%{name}
%suse_update_desktop_file -i %{name}
%make_install docdir=%{_docdir}/%{name}
desktop-file-install dists/scummvm.desktop
%post
%icon_theme_cache_post
%postun
%icon_theme_cache_postun
%files
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man6/%{name}.6*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%attr(0755,-,-) %{_bindir}/scummvm
%{_datadir}/scummvm
%{_mandir}/man6/scummvm.6*
%{_datadir}/applications/scummvm.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_docdir}/%{name}
%files extra
%defattr(0644,root,root,0755)
%{_libdir}/%{name}
%{_libdir}/scummvm
%changelog